using System;

namespace Pokkt
{
	internal enum PokktOperations
	{
		// Utility Methods
		SetDebug,
		ShowLog,
		ShowToast,
		ExportLog,
		SetThirdPartyUserId,
		
		// Essential Methods
		SetSecurityKey,
		SetApplicationId,
		SetIntegrationType,
		SetAutoCaching,
		InitPokkt,
		SendAppInfo,

		// Session Methods
		StartSession,
		EndSession,
		
		// Offerwall Methods
		SetCloseOnSuccessFlag,
		GetCoins,
		GetPendingCoins,
		CheckOfferWallCampaign,
		
		// Video Methods
		GetVideo,
		GetVideoNonIncent,
		CacheVideoCampaign,
		SetSkipEnabled,
		SetDefaultSkipTime,
		SetCustomSkipMessage,
		SetBackButtonDisabled,
		SetRetryDuration,
		
		// Optional Methods
		SetName,
		SetAge,
		SetSex,
		SetMobileNo,
		SetEmailAddress,
		SetLocation,
		SetBirthday,
		SetMaritalStatus,
		SetFacebookId,
		SetTwitterHandle,
		SetEducation,
		SetNationality,
		SetEmployment,
		SetMaturityRating,

		// Analytics Methods
		SetGoogleAnalyticsId,
		SetMixPanelProjectToken,
		SetFlurryApplicationKey,
		SetSelectedAnalyticsType,
	}
}
