//
//  ChartboostNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 08/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <Chartboost/Chartboost.h>
#import <CommonCrypto/CommonDigest.h>
#import "AdNetwork.h"
#import "NetworkModel.h"


@interface ChartboostNetwork : NSObject<ChartboostDelegate, AdNetwork>

@property (nonatomic, strong) PokktConfig * pokktConfig;
@property (nonatomic, retain) NetworkModel * networkModel;
@property (nonatomic, retain) NSTimer *cacheTimer;
@property (nonatomic, assign) BOOL isVideoCached;
@property (nonatomic, assign) BOOL isTimedout;

@end
