//
//  FyberNetwork.h
//  SampleApp
//
//  Created by Pokkt on 13/11/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "FyberSDK.h"
#import "PokktConfig.h"
#import "AdNetwork.h"


@interface FyberNetwork : NSObject<AdNetwork,FYBRewardedVideoControllerDelegate, FYBVirtualCurrencyClientDelegate>

@property(nonatomic, strong) UIViewController *playerVC;
@property(nonatomic, strong) NetworkModel *network;
@property (nonatomic, strong) PokktConfig * pokktConfig;
@property (nonatomic, retain) NSString * networkName;
@property (nonatomic, retain) NSTimer *cacheTimer;
@property (nonatomic, assign) BOOL isVideoCached;
@property (nonatomic, assign) BOOL isTimedout;

@end
