//
//  AdNetwork.h
//  PokktSDK
//
//  Created by Subhendu Sekhar Sahu on 09/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "NetworkModel.h"
#import "PokktConfig.h"

@protocol AdNetwork <NSObject>

- (void) initNetwork:(PokktConfig *)pokktConfig
        networkModel:(NetworkModel *)customData
presentingViewController:(UIViewController *)viewController;

- (void) cacheVideo;

- (void) playVideo;


@end
