//
//  InmobiNetwork.h
//  SampleApp
//
//  Created by Subhendu Sekhar Sahu on 20/10/15.
//  Copyright © 2015 Pokkt. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "AdNetwork.h"
#import "IMSdk.h"
#import "IMCommonConstants.h"
#import "IMInterstitial.h"
#import "IMInterstitialDelegate.h"
#import "IMRequestStatus.h"
#import "PokktConfig.h"

@interface InmobiNetwork : NSObject<AdNetwork, IMInterstitialDelegate>

@property(nonatomic, retain) UIViewController * viewController;

@property (nonatomic, strong) PokktConfig * pokktConfig;

@property (nonatomic, retain) NetworkModel * networkModel;

@property (nonatomic, strong) IMInterstitial *adInterstitial;

@property (nonatomic, strong) UIWindow * window;

@property (nonatomic, retain) NSTimer *cacheTimer;

@property (nonatomic, assign) BOOL isVideoCached;

@property (nonatomic, assign) BOOL isTimedout;

@end